package ru.rsdn.defensive;

/**
 * Хранитель объекта, который не предполагает поступление ошибочных данных
 */
public class OptimisticObjectHolder {
	private final Object obj;

	/**
	 * Конструктор
	 * @param _obj объект
	 */
	public OptimisticObjectHolder(Object _obj) {
		obj = _obj;
	}

	@Override
	public String toString() {
		return obj.toString();
	}
}
